org.springframework.data.repository.reactive

## Interface RxJava3SortingRepository<T,ID>

All Superinterfaces:
  Repository<T,ID>, RxJava3CrudRepository<T,ID>

    @NoRepositoryBean
    public interface RxJava3SortingRepository<T,ID>
    extends RxJava3CrudRepository<T,ID>

Extension of `RxJava3CrudRepository` to provide additional methods to retrieve entities using the sorting abstraction.

Since:
  2.4
Author:
  Mark Paluch
See Also:
  `Sort`, `Flowable`, `RxJava2CrudRepository`

### Method Summary

All Methods Instance Methods Abstract Methods
`io.reactivex.rxjava3.core.Flowable<T>` `findAll(Sort sort)` Returns all entities sorted by the given options.

### Methods inherited from interface org.springframework.data.repository.reactive.RxJava3CrudRepository

`count, delete, deleteAll, deleteAll, deleteAll, deleteById, existsById, existsById, findAll, findAllById, findAllById, findById, findById, save, saveAll, saveAll`

### Method Detail

#### findAll

    io.reactivex.rxjava3.core.Flowable<T> findAll(Sort sort)

Returns all entities sorted by the given options.

Parameters:
  `sort` - must not be null.
Returns:
  all entities sorted by the given options.